Groovy Documentation

## org.codehaus.groovy.grails.commons
[Java] Class DefaultGrailsServiceClass

    java.lang.Object
      org.codehaus.groovy.grails.commons.AbstractGrailsClass
          org.codehaus.groovy.grails.commons.AbstractInjectableGrailsClass
              org.codehaus.groovy.grails.commons.DefaultGrailsServiceClass

All Implemented Interfaces:
  GrailsServiceClass

    public class DefaultGrailsServiceClass
    extends AbstractInjectableGrailsClass

Authors:
  Steven Devijver

Field Summary
`static java.lang.String` | `SERVICE`

Constructor Summary
`DefaultGrailsServiceClass(java.lang.Class clazz)`

Method Summary
`boolean` | `isTransactional()`

Methods inherited from class AbstractInjectableGrailsClass
byName, byType, getAvailable

Methods inherited from class AbstractGrailsClass

getClazz, getFullName, getLogicalPropertyName, getMetaClass, getName, getNaturalName, getPackageName, getPropertyDescriptors, getPropertyName, getPropertyOrStaticPropertyOrFieldValue, getPropertyType, getPropertyValue, getPropertyValue, getPropertyValueObject, getReference, getReferenceInstance, getShortName, getStaticPropertyValue, hasMetaMethod, hasMetaMethod, hasMetaProperty, hasProperty, isReadableProperty, newInstance, toString

Field Detail

### SERVICE

    public static final java.lang.String SERVICE

Constructor Detail

### DefaultGrailsServiceClass

    public DefaultGrailsServiceClass(java.lang.Class clazz)

Method Detail

### isTransactional

    public boolean isTransactional()

Groovy Documentation